Bug 144091 - FILEOPEN PPTX: shadow effect for tables partly incorrect
Summary: FILEOPEN PPTX: shadow effect for tables partly incorrect
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
7.1.0.1 rc
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:7.3.0 target:7.2.3 target:7.1.7
Keywords:
Depends on:
Blocks: PPTX-Tables
  Show dependency treegraph
 
Reported: 2021-08-25 23:15 UTC by Gerald Pfeifer
Modified: 2022-07-19 18:41 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Sample compared in MSO and LO (79.46 KB, image/png)
2021-08-26 11:24 UTC, Timur
Details
A modified sample without borders (1.31 MB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2021-09-22 07:14 UTC, Mike Kaganski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gerald Pfeifer 2021-08-25 23:15:51 UTC
Per https://bugs.documentfoundation.org/show_bug.cgi?id=129961#c32 the
implementation of shadows for tables is incomplete/partly incorrect.

Timur has created a new test document that tries to cover that, cf.
https://bugs.documentfoundation.org/attachment.cgi?id=171332 .
Comment 1 Timur 2021-08-26 11:24:23 UTC
Created attachment 174555 [details]
Sample compared in MSO and LO

OK, thanks for filing. Of course repro in master 7.3+.
Comment 2 Commit Notification 2021-09-20 10:58:18 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/37a52d30bbfcf1d073779b50139c4dafa507be4b

tdf#144091 svx: fix unwanted blur of shadow from table cell fill

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Miklos Vajna 2021-09-20 11:36:20 UTC
I think this is now fixed on master.
Comment 4 Mike Kaganski 2021-09-22 07:14:01 UTC
Created attachment 175185 [details]
A modified sample without borders

The fix removed the blur from the cell fills, while MSO does apply the blur; the difference is not avoiding the blur, but taking the fill transparency into account (previous code treated any fill in object as 100% opaque thing in blurred shadow).

The attachment has one table without borders; it is visible that MSO still blurs the fills.
Comment 5 Mike Kaganski 2021-09-22 07:29:29 UTC
(In reply to Mike Kaganski from comment #4)

Just a (possibly unrelated, but still) bit of parallel: it seems that blurring in shadows could (incorrectly) use something similar to what *glow effect* used, where it was a deliberate necessity to treat everything not completely transparent as 100% opaque when generating the glow.
Comment 6 Miklos Vajna 2021-09-22 11:25:55 UTC
Aha, let me see how to tweak this further to address both cases.
Comment 7 Commit Notification 2021-09-22 15:28:53 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/288eab2fbb859689d84082810afb15b2a229f12d

tdf#144091 svx: fix unwanted blur of shadow from table cell fill

It will be available in 7.2.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2021-09-23 15:49:38 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/00fa364a2403dc23a786d3f91fde06e10b3a4a9a

Related: tdf#144091 svx: fix interaction of transp cell fill and transp shadow

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2021-09-24 12:39:53 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/20883c42370e014a085533010c219aecf167bfda

tdf#144091 svx: fix unwanted blur of shadow from table cell fill

It will be available in 7.1.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2021-09-27 06:28:10 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/1f8687d2261082d1a76527c41bc1010ebcf0ddd1

Related: tdf#144091 svx: fix interaction of transp cell fill and transp shadow

It will be available in 7.2.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2021-09-27 14:16:24 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/0f99f237be9ee4135a548e255c6c8dcceba8648d

Related: tdf#144091 svx: fix interaction of transp cell fill and transp shadow

It will be available in 7.1.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.